Name: cdecl
Summary: Translator for C gibberish

# The original cdecl has been released in May 1988,
# into the public domain. The fork used in this package
# re-licenses the code under GPLv3.
License: GPL-3.0-or-later AND LicenseRef-Fedora-PublicDomain

Version: 14.2
Release: 1%{?dist}

URL: https://github.com/paul-j-lucas/cdecl/
Source0: %{URL}releases/download/cdecl-%{version}/cdecl-%{version}.tar.gz

BuildRequires: diffutils
BuildRequires: gcc
BuildRequires: make
BuildRequires: readline-devel


%description
Cdecl is a program which will turn English-like phrases such as "declare
foo as array 5 of pointer to function returning int" into C declarations
such as "int (*foo[5])()". It can also do the opposite, translating C
into the pseudo-English. And it handles typecasts, too. Plus C++.
This version also has command line editing and history.


%prep
%autosetup


%build
cp -a src backup

# Build the program with the "terminal size" feature disabled.
# We'll need this in order to run the tests.
%configure --enable-term-size=no
%make_build

# Move this build somewhere else and restore the sources.
mv src src-notermsize
mv backup src

# Build the program normally. This is what we'll install.
%configure
%make_build


%install
%make_install


%check
# Use the "term-size=no" build for testing.
mv src backup
mv src-notermsize src
make -C test/ check


%files
%doc AUTHORS README.md README-2.5.txt
%license COPYING
%{_bindir}/cdecl
%{_bindir}/c++decl
%{_mandir}/man1/cdecl.1*
%{_mandir}/man1/c++decl.1*


%changelog
* Thu Jul 20 2023 Artur Frenszek-Iwicki <fedora@svgames.pl> - 2.5-1
- Initial packaging
